package com.hiramine.fileselectionactivitysample;

import java.io.File;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Toast;

public class FileSelectionActivitySampleActivity extends Activity
{
	// オプションメニューID
	private static final int	MENUID_FILE			= 0;
	// リクエストコード
	private static final int	REQUEST_FILESELECT	= 0;

	// 初期フォルダ
	private String				m_strInitialDir		= "/";

	/** Called when the activity is first created. */
	@Override
	public void onCreate( Bundle savedInstanceState )
	{
		super.onCreate( savedInstanceState );
		setContentView( R.layout.main );
	}

	// オプションメニュー生成時
	@Override
	public boolean onCreateOptionsMenu( Menu menu )
	{
		super.onCreateOptionsMenu( menu );
		menu.add( 0, MENUID_FILE, 0, "Select File..." );

		return true;
	}

	// オプションメニュー選択時
	@Override
	public boolean onOptionsItemSelected( MenuItem item )
	{
		switch( item.getItemId() )
		{
		case MENUID_FILE:
			// ファイル選択アクティビティ
			Intent intent = new Intent( this, FileSelectionActivity.class );
			intent.putExtra( "initialdir", m_strInitialDir );
			startActivityForResult( intent, REQUEST_FILESELECT );
			return true;
		}
		return false;
	}

	// アクティビティ呼び出し結果の取得
	@Override
	protected void onActivityResult(	int requestCode,
										int resultCode,
										Intent intent )
	{
		if( REQUEST_FILESELECT == requestCode && RESULT_OK == resultCode )
		{
			Bundle extras = intent.getExtras();
			if( null != extras )
			{
				File file = (File)extras.getSerializable( "file" );
				Toast.makeText( this, "File Selected : " + file.getPath(), Toast.LENGTH_SHORT ).show();
				m_strInitialDir = file.getParent();
			}
		}
	}
}
